
QGIS Application - Bug report #19127

[Digitizing] Snapping marker is not shown when the advanced digitizing panel is enabled

2018-06-06 06:37 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.1(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 26957

Description

I don't know if it's me not yet used to the new and different markers shown when digitizing but it looks like the snapping marker does not

show when the advanced digitizing panel is enabled.

For example, enable snapping settings and the "Add feature(s)" tool (or "Move feature(s)" or I guess any other)

Hover over a vertex so that the marker shows (default square). Ok

Now enable the advanced digitizing panel

Hover over the same vertex. Nothing happens.

I don't remember how it was in previous releases but i'd bet for a regression...

Related issues:

Duplicates QGIS Application - Bug report # 18104: Snapping icon missing for s... Closed 2018-02-14

History

#1 - 2018-08-27 05:48 PM - Nathan Perry

There does not seem to be a distinct snapping marker for advanced digitizing, but there is a small X cursor that will snap to any locations that are enabled

in snapping options. This cursor does tend to disappear after a certain amount of use, which may be the problem described here. I haven't yet identified

what steps cause it to disappear.

In addition to the small X, there is a large "crosshair" cursor that is always present, and that does not align correctly to the point being digitized (it appears

to align at its upper left corner, rather than at the center of the crosshair).

#2 - 2018-08-29 11:30 AM - Giovanni Manghi

In addition to the small X, there is a large "crosshair" cursor that is always present, and that does not align correctly to the point being digitized (it

appears to align at its upper left corner, rather than at the center of the crosshair).

are you on macOS?

#3 - 2018-08-29 11:32 AM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

Seems also a regression to me. Tagging so until proven contrary.
#4 - 2018-08-29 01:06 PM - Harrissou Santanna

@Nathan

There does not seem to be a distinct snapping marker for advanced digitizing, but there is a small X cursor that will snap to any locations that are

enabled in snapping options.

This is the issue I was reporting, ie:

1. without the panel enabled, when you move a vertex, you have no marker (just the mouse pointer). The marker appears when you are about to snap

something. And by default this marker is "magenta square";

2. if the advanced digitizing panel is enabled, you automatically have a lighter "crosshair" marker (maybe it wasn't there at the time I created the report)

which is btw always displayed even at the snapping time, meaning that there's no obvious visual way to ensure you get the catch (like the square marker

does in the previous case)

This cursor does tend to disappear after a certain amount of use, which may be the problem described here. I haven't yet identified what steps

cause it to disappear.

I can't reproduce the disparition issue.

#5 - 2018-08-31 08:25 AM - Nathan Perry

Giovanni Manghi wrote:

are you on macOS?

Yes, 10.13.6.

#6 - 2018-08-31 10:14 AM - Giovanni Manghi

Nathan Perry wrote:

Giovanni Manghi wrote:

are you on macOS?

Yes, 10.13.6.

#18622 ?

#7 - 2018-10-24 10:47 AM - Loïc BARTOLETTI

Is a duplicate of #18104 ?

#8 - 2018-10-24 11:05 AM - Giovanni Manghi

- Status changed from Open to Feedback
#9 - 2018-10-24 11:20 AM - Harrissou Santanna

- Duplicates Bug report #18104: Snapping icon missing for shape tools and different when Advanced Digitizing panel is activated added

#10 - 2018-10-24 11:21 AM - Harrissou Santanna

- Resolution set to duplicate

- Status changed from Feedback to Closed
